# REST Resource: projects.sipDomains.users

## Resource: User

The User resource.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;name&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;userId&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;password&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;address&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;createTime&quot;</span><span class="p">: </span><span class="kd">string (</span><a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank"><strong><span class="kd">Timestamp</span></strong></a><span class="kd">)</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">name</span> | <span class="e-code">string</span><br/>Resource name of the user. It is of the form `projects/{project_id}/sipDomains/{sip_domain_id}/users/{user_id}`.
<span class="e-code">userId</span> | <span class="e-code">string</span><br/>Output only. The username. This is a convenience field for the `user_id` component of the resource name. This forms the user's address of record, in the form `{user_id}@{fqdn}`.
<span class="e-code">password</span> | <span class="e-code">string</span><br/>Input only. The password. It must be a minimum of 12 characters, consisting of uppercase and lowercase letters and digits. Once the password is set, it cannot be retrieved. It is stored hashed.
<span class="e-code">address</span> | <span class="e-code">string</span><br/>Output only. The address represented by this user. This is the user's address of record, in the form {user_id}@{fqdn}.
<span class="e-code">createTime</span> | <span class="e-code">string (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">Timestamp</a> format)</span><br/>Output only. The creation time of the user.

## Methods

Methods | &nbsp;
--|--
<span class="e-code">[create](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/create/)</span> | <span class="e-code">POST /v1beta1/{parent}/users</span><br/>Creates a user.<br/><br/>The caller must have `voice.users.create` permission on the project.
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a user identified by the supplied resource name.<br/><br/>The caller must have `voice.users.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/users</span><br/>Lists all Users. List returns user sorted by create_time descending.<br/><br/>The caller must have `voice.users.list` permission on the project.
<span class="e-code">[update](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/update/)</span> | <span class="e-code">PATCH /v1beta1/{user.name}</span><br/>Updates a user.<br/><br/>The caller must have `voice.users.update` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes the specified user.<br/><br/>The caller must have `voice.users.delete` permission on the project.

